Bug 807562 - Apparently impossible to use a supplementary repository for upgrade
Apparently impossible to use a supplementary repository for upgrade
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-28 03:24 EDT by Adam Williamson
Modified: 2012-11-30 16:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-30 16:55:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-03-28 03:24:20 EDT
It seems like you just can't use a supplemental repo - an additional repo with just one or two updated packages - when doing an upgrade. The repository selection screen isn't displayed, so you can't do it interactively. Passing repo= seems to cause anaconda to assume that's the *only* repository you want to use, so of course this fails completely because your repo doesn't have all the other packages in it.

Surely this should be possible? I guess it might be doable with a kickstart, but that seems like the only way.
Comment 1 Chris Lumens 2012-05-23 10:27:28 EDT
upgrade doesn't do any package selection whatsoever, so adding extra repos doesn't really make sense.  I'm not sure whether we'll have fixed this in newui or not but we're moving towards upgrade being a separate process entirely.
Comment 2 Adam Williamson 2012-05-23 12:55:36 EDT
What if you want to upgrade a system with packages installed from a third-party repo, and provide that repo so the packages will be upgraded as part of the upgrade? What if you want to override the packages in the stock repo (which is what I was trying to do when I hit this problem)?
Comment 3 Will Woods 2012-11-30 16:55:12 EST
Fedup looks for new repos using the same method it uses to find the new Fedora repos - it changes the $releasever but otherwises uses the existing .repo files.

You can also add repos directly with the --repo flag.

Note You need to log in before you can comment on or make changes to this bug.